curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deploy-from-blob \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blobUrl": "https://blob.vercel-storage.com/plugins/plugin.zip",
"pluginData": "{\"pluginId\":\"sample-funnel\",\"version\":\"1.0.0\",\"name\":\"Sample Funnel Plugin\",\"description\":\"A sample funnel plugin\",\"author\":\"Tagada Pay Team\",\"storeId\":\"store_123\",\"mode\":\"direct-mode\"}"
}
'{
"success": true,
"deployment": {
"pluginId": "sample-funnel",
"version": "1.0.0",
"url": "https://sample-funnel-abc123.cdn.tagadapay.dev/",
"deployedAt": "2024-03-20T10:30:00Z",
"size": 15000000
},
"message": "Plugin Sample Funnel Plugin v1.0.0 deployed successfully from blob"
}Deploy a plugin from a blob URL. This endpoint is used after uploading a large ZIP file to blob storage to bypass the 4.5MB serverless function limit.
curl --request POST \
--url https://app.tagadapay.com/api/public/v1/plugins/deploy-from-blob \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"blobUrl": "https://blob.vercel-storage.com/plugins/plugin.zip",
"pluginData": "{\"pluginId\":\"sample-funnel\",\"version\":\"1.0.0\",\"name\":\"Sample Funnel Plugin\",\"description\":\"A sample funnel plugin\",\"author\":\"Tagada Pay Team\",\"storeId\":\"store_123\",\"mode\":\"direct-mode\"}"
}
'{
"success": true,
"deployment": {
"pluginId": "sample-funnel",
"version": "1.0.0",
"url": "https://sample-funnel-abc123.cdn.tagadapay.dev/",
"deployedAt": "2024-03-20T10:30:00Z",
"size": 15000000
},
"message": "Plugin Sample Funnel Plugin v1.0.0 deployed successfully from blob"
}